## org.jibx.runtime
Interface IUnmarshallable

    public interface IUnmarshallable

Unmarshallable interface definition. This interface must be implemented by all classes which can be unmarshalled as independent units (not just as children of other objects). Classes implementing this interface may either unmarshal themselves directly (if there's only one unmarshalling format defined), or obtain an instance of the appropriate unmarshaller from the context and use that.

Version:
  1.0
Author:
  Dennis M. Sosnoski

Method Summary
`void` `unmarshal(IUnmarshallingContext ctx)` Unmarshal self.

Method Detail

### unmarshal

    void unmarshal(IUnmarshallingContext ctx)
                   throws JiBXException

  Unmarshal self. This method call is responsible for all handling of the unmarshalling of the object from XML text.

  Parameters:
    `ctx` - unmarshalling context
  Throws:
    `JiBXException` - on error in unmarshalling process

Project Web Site |